#!/bin/awk -f
#
# Take a list of input names which have been reformatted by script
#	refmt_extent.awk and convert them back to standard SCG/GDC
#	extent format.
#
# Modif J.S.Charters Jan96  Add ability to process two dumps
#	in one day.  Handle the file.95jan04.1 format.
# Modif J.S.Charters Jan2000 change year from 2 digits to 4 
#	digits.
#
BEGIN{
FS="."
}
{
	if (FILETYPE == $3) {
		year = substr($1,1,4);
		mnth = substr($1,5,2);
		day = substr($1,7,2);
		extent = $2;
	} else {
		next;
	}
	if ( mnth == "01") {
		month = "jan";
	} else 
	if ( mnth == "02") {
		month = "feb";
	} else
	if ( mnth == "03") {
		month = "mar";
	} else
	if ( mnth == "04") {
		month = "apr";
	} else
	if ( mnth == "05") {
		month = "may";
	} else
	if ( mnth == "06") {
		month = "jun";
	} else
	if ( mnth == "07") {
		month = "jul";
	} else
	if ( mnth == "08") {
		month = "aug";
	} else
	if ( mnth == "09") {
		month = "sep";
	} else
	if ( mnth == "10") {
		month = "oct";
	} else
	if ( mnth == "11") {
		month = "nov";
	} else
	if ( mnth == "12") {
		month = "dec";
	} else {
		next;
	}
	if ( extent == "" ) {
		printf "%s.data.%04d%s%02d\n",FILETYPE,year,month,day
	} else {
		printf "%s.data.%04d%s%02d.%s\n",FILETYPE,year,month,day,extent
	}
}
