#!/bin/nawk -f
#
# Computes the max and min of a data set
#
# Modif J.S.Charters, Mar 2000 skip the last 5 minutes of the day
#	to prevent the retrace line.
# Modif J.S.Charters, Jan 2002 Properally scale data with min below
#	zero. It is cold water here.
#
# example: sal_max_min  field=2 scale=1 970809.dat
#
BEGIN {
	max = -99.;
	min = 9999.;
	if ( scale == 0) scale = 1;
}
{
	data = $field;
	if ( $1 > 23.91) next;
	if ( data <= -2) next;
	if ( data > max ) {
		max = data;
	} 
	if ( data < min ) {
		min = data;
	}
	printf "%s %s\n", $1, data
}
END {
	if ( min > 3000) min = 1;
	if (max < -20) max = 2;
	max = (int ((max + scale) / scale )) * scale;
	if ( min < 0 ) {
		min = (int ((min - scale) / scale )) * scale;
	} else {
		min = (int ((min ) / scale )) * scale;
	}
	printf "%04d/%04d\n",min,max > "range";
}
